/// <reference types="express" />
import * as express from 'express';
import { HTTP_VERB, gwOptions } from './types/lambdaRoute';
export declare function Wrapper(lambda: lambdaInterface, verb: HTTP_VERB, req: express.Request, res: express.Response, options?: gwOptions): express.Response;
export declare class mockContext implements AWSLambda.Context {
    callbackWaitsForEmptyEventLoop: boolean;
    functionName: string;
    functionVersion: string;
    invokedFunctionArn: string;
    memoryLimitInMB: number;
    awsRequestId: string;
    logGroupName: string;
    logStreamName: string;
    identity?: AWSLambda.CognitoIdentity;
    clientContext?: AWSLambda.ClientContext;
    getRemainingTimeInMillis(): number;
    done(error?: Error, result?: any): void;
    fail(error: string | Error): void;
    succeed(messageOrObject: any): void;
    succeed(message: string, object: any): void;
    authorizer?: any;
}
export declare class mockEvent implements AWSLambda.APIGatewayEvent {
    body: string;
    headers: {
        [name: string]: string;
    };
    httpMethod: string;
    isBase64Encoded: boolean;
    path: string;
    pathParameters: {
        [name: string]: string;
    };
    queryStringParameters: {
        [name: string]: string;
    };
    stageVariables: {
        [name: string]: string;
    };
    requestContext: AWSLambda.APIGatewayEventRequestContext;
    resource: string;
}
export declare function Mapper(verb: HTTP_VERB, req: express.Request): {
    context: mockContext;
    event: mockEvent;
};
