/// <reference types="express-serve-static-core" />
interface lambdaAuthorizerCallback {
    (err: Error | string, result: AWSLambda.CustomAuthorizerResult): Express.Response;
}
interface lambdaAuthorizer {
    (event: any, context: any, callback: lambdaAuthorizerCallback): boolean;
}
interface lambdaAuthorizerInterface {
    handler: lambdaAuthorizer;
}
interface lambdaHandlerCallbackResponse {
    statusCode: number;
    body: string;
}
interface lambdaHandlerCallback {
    (err: Error, result: lambdaHandlerCallbackResponse): Express.Response;
}
interface lambdaHandler {
    (event: any, context: any, callback: lambdaHandlerCallback): boolean;
}
interface lambdaInterface {
    handler: lambdaHandler;
}
